> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsteerco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspaces

> List all workspaces you have access to with API enabled. Use the returned workspace ID in the X-Workspace-Id header for all other endpoints.



## OpenAPI

````yaml /openapi.json get /v1/workspaces
openapi: 3.1.0
info:
  title: Steerco API
  version: 1.0.0
  description: >-
    REST API and MCP server for managing presentations, templates, themes, and
    entities.
servers:
  - url: https://api.getsteerco.com
security: []
paths:
  /v1/workspaces:
    get:
      summary: List workspaces
      description: >-
        List all workspaces you have access to with API enabled. Use the
        returned workspace ID in the X-Workspace-Id header for all other
        endpoints.
      responses:
        '200':
          description: List of workspaces
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Workspace'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
        - code
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: API key (ak_ prefix). Generate one from your Steerco profile settings.

````